﻿using System;
using System.Collections.Generic;
using System.Text;
using FreeImageAPI;

namespace Imagenator.Controls
{
	class ImageFormatComboBox : ArgusLib.Controls.EnumComboBox<FreeImageAPI.FREE_IMAGE_FORMAT>
	{
		public ImageFormatComboBox()
			: base() { }

		protected override string FormatEnum(FREE_IMAGE_FORMAT value)
		{
			if (this.DesignMode == false)
			{
				if (value == FREE_IMAGE_FORMAT.FIF_UNKNOWN)
					return "Same as input format";
				string ext = FreeImage.GetPrimaryExtensionFromFIF(value);
				if (string.IsNullOrEmpty(ext) == false)
					ext = " (*." + ext + ')';
				return FreeImage.GetFIFDescription(value) + ext;
			}
			return base.FormatEnum(value);
		}

		protected override bool IsValidValue(FREE_IMAGE_FORMAT value)
		{
			if (value == FREE_IMAGE_FORMAT.FIF_UNKNOWN)
				return true;

			if (FreeImage.IsAvailable() == true)
				return FreeImage.FIFSupportsWriting(value);
			return false;
		}
	}

	class FilterComboBox : ArgusLib.Controls.EnumComboBox<FREE_IMAGE_FILTER>
	{
		public FilterComboBox()
			: base() { }

		protected override string FormatEnum(FREE_IMAGE_FILTER value)
		{
			return value.ToString().Substring(7);
		}
	}

	class JpegQualityComboBox : ArgusLib.Controls.EnumComboBox<JpegQuality>
	{
		public JpegQualityComboBox()
			: base() { }
	}

	class JpegSubsamplingComboBox : ArgusLib.Controls.EnumComboBox<JpegSubsampling>
	{
		public JpegSubsamplingComboBox()
			: base() { }
	}
}
