﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Imagenator.Forms
{
	public partial class SettingsForm : ArgusLib.Controls.BaseForm
	{
		public SettingsForm(int minHeight)
		{
			InitializeComponent();
			this.nudPrevImageHeight.Minimum = new decimal(minHeight);
			Settings settings = Settings.Load<Settings>();
			this.cbShowPrevImages.Checked = settings.ShowPreviewImages;
			this.nudPrevImageHeight.Value = new decimal(settings.PreviewImageHeight);
		}

		private void cbShowPrevImages_CheckedChanged(object sender, EventArgs e)
		{
			this.nudPrevImageHeight.Enabled = this.cbShowPrevImages.Checked;
		}

		protected override void OnFormClosing(FormClosingEventArgs e)
		{
			Settings settings = Settings.Load<Settings>();
			settings.ShowPreviewImages = this.cbShowPrevImages.Checked;
			settings.PreviewImageHeight = (int)this.nudPrevImageHeight.Value;
			settings.Save();
			base.OnFormClosing(e);
		}

		private void button1_Click(object sender, EventArgs e)
		{
			Settings settings = Settings.Load<Settings>();
			settings.Reset();
			this.cbShowPrevImages.Checked = settings.ShowPreviewImages;
			this.nudPrevImageHeight.Value = new decimal(settings.PreviewImageHeight);
		}
	}
}
