﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using FreeImageAPI;

namespace Imagenator
{
	public partial class JpegSaveFlagInputControl : UserControl, ISaveFlagInputControl
	{
		public JpegSaveFlagInputControl()
		{
			InitializeComponent();
			this.MinimumSize = new Size(this.cbSubsampling.Right, this.cbSubsampling.Bottom);
		}

		protected override void OnLoad(EventArgs e)
		{
			Settings settings = Settings.Load<Settings>();
			this.cbQuality.Select(settings.JpegQuality);
			this.cbSubsampling.Select(settings.JpegSubsampling);
			base.OnLoad(e);
		}

		void ISaveFlagInputControl.Close()
		{
			Settings settings = Settings.Load<Settings>();
			settings.JpegQuality = this.cbQuality.SelectedItem;
			settings.JpegSubsampling = this.cbSubsampling.SelectedItem;
		}

		public FREE_IMAGE_SAVE_FLAGS SaveFlags
		{
			get { return (FREE_IMAGE_SAVE_FLAGS)(this.cbQuality.SelectedItem.ToUInt64() | this.cbSubsampling.SelectedItem.ToUInt64()); }
		}

		public Control Control { get { return this; } }
	}
}
