﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Imagenator
{
	class Settings : ArgusLib.Xml.SerializableSettings
	{
		protected override string SettingsPath { get { return "Settings.xml"; } }

		public Settings()
			:base()
		{
			this.Reset();
		}

		public override void Reset()
		{
			this.MainFormBounds = System.Drawing.Rectangle.Empty;
			this.OutputPattern = @"{d:2}.{m:2}.{Y} - {DD}\{h:2}{min:2}{s:2}";
			this.OutputFormat = FreeImageAPI.FREE_IMAGE_FORMAT.FIF_JPEG;
			this.OutputSize = 0;
			this.ResizingAlgorithm = FreeImageAPI.FREE_IMAGE_FILTER.FILTER_BICUBIC;
			this.JpegQuality = Imagenator.JpegQuality.Default;
			this.JpegSubsampling = Imagenator.JpegSubsampling.Default;
			this.ShowPreviewImages = true;
			this.PreviewImageHeight = 50;
		}

		public System.Drawing.Rectangle MainFormBounds { get; set; }
		public System.Drawing.Rectangle ImageFormBounds { get; set; }
		public string OutputPattern { get; set; }
		public FreeImageAPI.FREE_IMAGE_FORMAT OutputFormat { get; set; }
		public int OutputSize { get; set; }
		public FreeImageAPI.FREE_IMAGE_FILTER ResizingAlgorithm { get; set; }
		public JpegQuality JpegQuality { get; set; }
		public JpegSubsampling JpegSubsampling { get; set; }
		public bool ShowPreviewImages { get; set; }
		public int PreviewImageHeight { get; set; }
	}
}
